%define pre %nil
Summary: Firefox extension that protects against XSS and Clickjacking attacks
Name: firefox-ext-noscript
Version: 2.6.5.9
Release: %mkrel 1
License: MPL
Group:	Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/722/
#AltURL: http://noscript.net/
Source: https://secure.informaction.com/download/releases/noscript-%{version}.xpi
Requires: firefox >= %{firefox_epoch}:%{firefox_version}
BuildRequires: firefox-devel
Buildarch: noarch

%description
The best security you can get in a web browser!
Allow active content to run only from sites you trust, and protect yourself
against XSS and Clickjacking attacks.

This tool provides extra protection to your Firefox. 
It allows JavaScript, Java and other executable content to run only from
trusted domains of your choice, e.g. your home-banking web site, guarding your
"trust boundaries" against cross-site scripting attacks (XSS), cross-zone DNS
rebinding / CSRF attacks (router hacking), and Clickjacking attempts, thanks to
its unique ClearClick technology.

Such a preemptive approach prevents exploitation of security vulnerabilities
(known and even unknown!) with no loss of functionality... 
Experts do agree: Firefox is really safer with NoScript ;-)

%prep
%setup -q -c -n %{name}-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}


%changelog

* Mon Mar 18 2013 tv <tv> 2.6.5.9-1.mga3
+ Revision: 403765
- new release

* Sun Feb 24 2013 tv <tv> 2.6.5.7-1.mga3
+ Revision: 400226
- new release
- new release
- new release
- new release
- new release
- new release
- new release

* Thu Jan 17 2013 tv <tv> 2.6.4.3-1.mga3
+ Revision: 389214
- new release

* Fri Jan 11 2013 umeabot <umeabot> 2.6.4.2-2.mga3
+ Revision: 350418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 tv <tv> 2.6.4.2-1.mga3
+ Revision: 343051
- new release

* Mon Dec 17 2012 tv <tv> 2.6.4.1-1.mga3
+ Revision: 332129
- new release

* Mon Dec 17 2012 tv <tv> 2.6.4-0.1.mga3
+ Revision: 331996
- new release

* Tue Dec 04 2012 tv <tv> 2.6.3-1.mga3
+ Revision: 326420
- new release

* Sun Nov 25 2012 tv <tv> 2.6.2-1.mga3
+ Revision: 321833
- new release

* Tue Nov 13 2012 tv <tv> 2.6.1-1.mga3
+ Revision: 317549
- new release

* Fri Nov 02 2012 tv <tv> 2.6-1.mga3
+ Revision: 312655
- new release

* Fri Oct 26 2012 tv <tv> 2.5.9-1.mga3
+ Revision: 310187
- new release

* Wed Oct 17 2012 tv <tv> 2.5.8-1.mga3
+ Revision: 307766
- new release

* Sat Oct 06 2012 tv <tv> 2.5.7-1.mga3
+ Revision: 303025
- new release

* Thu Sep 27 2012 tv <tv> 2.5.6-1.mga3
+ Revision: 298598
- new release

* Tue Sep 04 2012 tv <tv> 2.5.4-1.mga3
+ Revision: 288229
- new release

* Tue Aug 28 2012 tv <tv> 2.5.3-1.mga3
+ Revision: 284653
- new release

* Wed Aug 22 2012 tv <tv> 2.5.2-1.mga3
+ Revision: 283127
- new release

* Mon Aug 13 2012 tv <tv> 2.5.1-1.mga3
+ Revision: 281044
- new release

* Sun Jul 29 2012 tv <tv> 2.5-1.mga3
+ Revision: 275813
- new release

* Sun Jul 22 2012 tv <tv> 2.4.9-1.mga3
+ Revision: 273631
- new release

* Wed Jul 11 2012 tv <tv> 2.4.8-1.mga3
+ Revision: 269534
- new release

* Fri Jun 29 2012 tv <tv> 2.4.7-1.mga3
+ Revision: 264874
- new release

* Wed Jun 13 2012 tv <tv> 2.4.6-1.mga3
+ Revision: 260353
- new release

* Mon Jun 11 2012 tv <tv> 2.4.5-1.mga3
+ Revision: 259739
- new release

* Mon Jun 04 2012 tv <tv> 2.4.4-1.mga3
+ Revision: 254441
- new release

* Tue May 29 2012 tv <tv> 2.4.3-1.mga3
+ Revision: 249392
- new release

* Thu May 24 2012 tv <tv> 2.4.2-1.mga3
+ Revision: 236008
- new release
- new release

* Fri Mar 09 2012 tv <tv> 2.3.4-1.mga2
+ Revision: 221961
- new release

* Fri Mar 09 2012 tv <tv> 2.3.3-1.mga2
+ Revision: 221939
- new release

* Mon Feb 27 2012 tv <tv> 2.3.2-1.mga2
+ Revision: 215444
- new release

* Mon Feb 20 2012 tv <tv> 2.3.1-1.mga2
+ Revision: 211230
- new release

* Sat Feb 11 2012 tv <tv> 2.3-1.mga2
+ Revision: 207307
- new release

* Tue Feb 07 2012 tv <tv> 2.2.9-1.mga2
+ Revision: 205857
- new release

* Wed Jan 25 2012 tv <tv> 2.2.8-1.mga2
+ Revision: 201495
- new release

* Thu Jan 19 2012 tv <tv> 2.2.7-1.mga2
+ Revision: 198070
- new release

* Wed Jan 18 2012 tv <tv> 2.2.6-1.mga2
+ Revision: 197901
- new release

* Tue Jan 03 2012 tv <tv> 2.2.5-1.mga2
+ Revision: 190065
- new release

* Wed Dec 21 2011 tv <tv> 2.2.4-1.mga2
+ Revision: 185505
- new release

* Tue Dec 06 2011 tv <tv> 2.2.3-1.mga2
+ Revision: 177404
- new release

* Mon Nov 28 2011 tv <tv> 2.2.1-1.mga2
+ Revision: 173735
- new release

* Wed Nov 23 2011 tv <tv> 2.2-1.mga2
+ Revision: 171241
- new release

* Sun Nov 13 2011 tv <tv> 2.1.9-1.mga2
+ Revision: 167341
- new release

* Fri Nov 04 2011 tv <tv> 2.1.8-1.mga2
+ Revision: 162720
- new release

* Wed Oct 26 2011 tv <tv> 2.1.7-1.mga2
+ Revision: 158181
- new release

* Mon Oct 17 2011 tv <tv> 2.1.5-1.mga2
+ Revision: 155897
- new release

* Mon Oct 03 2011 tv <tv> 2.1.4-1.mga2
+ Revision: 151388
- new release

* Tue Sep 27 2011 fwang <fwang> 2.1.3-1.mga2
+ Revision: 149237
- new version 2.1.3

* Thu Sep 01 2011 tv <tv> 2.1.2.7-1.mga2
+ Revision: 137396
- new release
- new prerelease (compatible fith firefox-nightly-9a01)
- new release
- new release

* Thu Jul 21 2011 tv <tv> 2.1.2.3-1.mga2
+ Revision: 127581
- new release

* Mon Jun 20 2011 tv <tv> 2.1.1.1-1.mga2
+ Revision: 110182
- new release
- new release
- new release

* Thu Jun 09 2011 tv <tv> 2.1.1-1.mga2
+ Revision: 102407
- new release

* Sat Apr 30 2011 tv <tv> 2.1.0.3-1.mga1
+ Revision: 93723
- new release

* Wed Apr 13 2011 tv <tv> 2.1.0.2-1.mga1
+ Revision: 84082
- use alternate URL
- new release

* Thu Mar 10 2011 tv <tv> 2.0.9.9-1.mga1
+ Revision: 67783
- fix tarball name
- new release

* Tue Mar 01 2011 tv <tv> 2.0.9.8-1.mga1
+ Revision: 62102
- fix releasing stable versions
- new release

* Fri Feb 18 2011 tv <tv> 2.0.9.8-0.1rc3.mga1
+ Revision: 53866
- new prerelease

* Tue Feb 01 2011 tv <tv> 2.0.9.6-2.mga1
+ Revision: 45603
- imported package firefox-ext-noscript


* Fri Jan 28 2011 Funda Wang <fwang@mandriva.org> 2.0.9.6-2mdv2011.0
+ Revision: 633596
- drop hard version req

* Wed Jan 26 2011 Thierry Vignaud <tv@mandriva.org> 2.0.9.6-1
+ Revision: 632898
- new release

* Wed Jan 19 2011 Thierry Vignaud <tv@mandriva.org> 2.0.9.3-2
+ Revision: 631669
- prevent need to rebuild for every new firefox
- only package .xpi

* Wed Jan 05 2011 Thierry Vignaud <tv@mandriva.org> 2.0.9.3-1mdv2011.0
+ Revision: 628866
- new release

* Mon Nov 29 2010 Thierry Vignaud <tv@mandriva.org> 2.0.7-1mdv2011.0
+ Revision: 603137
- new release

* Sun Nov 14 2010 Thierry Vignaud <tv@mandriva.org> 2.0.4-2mdv2011.0
+ Revision: 597378
- rebuild for new firefox

* Sun Nov 07 2010 Thierry Vignaud <tv@mandriva.org> 2.0.4-1mdv2011.0
+ Revision: 594630
- import firefox-ext-noscript

